<?php
// $Id: flog.admin.inc,v 1.1 2010/02/23 13:49:13 dwightaspinwall Exp $

/**
 * @file
 * Admin page callbacks for the flog module.
 */

/**
 * Form for configuring file logger settings.
 *
 * @see system_settings_form()
 */
function flog_settings() {

  $form['flog_enabled'] = array(
    '#type' => 'radios',
    '#title' => t('File logging is'),
    '#default_value' => variable_get('flog_enabled', 0),
    '#options' => array(t('Disabled'), t('Enabled')),
    '#description' => t('Enable or disable logging to file.'),
  );
  $form['flog_path'] = array(
    '#type' => 'textfield',
    '#title' => t('Log file directory'),
    '#default_value' => variable_get('flog_path', '/var/log'),
    '#size' => 40,
    '#description' => t('Directory where your log file lives (e.g. /var/log), with no trailing slash.'),
  );
  $form['flog_file'] = array(
    '#type' => 'textfield',
    '#title' => t('Log file name'),
    '#default_value' => variable_get('flog_file', 'drupal.log'),
    '#size' => 40,
    '#description' => t('Name of log file.'),
  );
  $form['flog_date'] = array(
    '#type' => 'textfield',
    '#title' => t('Date string'),
    '#default_value' => variable_get('flog_date', 'Y-m-d H:i:s'),
    '#size' => 20,
    '#description' => t('Format of date string (see php !date docs).  Make this blank for no date/time output.', array('!date' => l('Date function', 'http://php.net/manual/en/function.date.php'))),
  );

  return system_settings_form($form);
}

